nxt.addons

## Interface RandomnessSource

- All Known Implementing Classes:
    ReproducibleRandomness

      public interface RandomnessSource

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.stream.DoubleStream` | `doubles()`
    `java.util.stream.DoubleStream` | `doubles(double randomNumberOrigin, double randomNumberBound)`
    `java.util.stream.DoubleStream` | `doubles(long streamSize)`
    `java.util.stream.DoubleStream` | `doubles(long streamSize, double randomNumberOrigin, double randomNumberBound)`
    `long` | `getSeed()`
    `java.util.stream.IntStream` | `ints()`
    `java.util.stream.IntStream` | `ints(int randomNumberOrigin, int randomNumberBound)`
    `java.util.stream.IntStream` | `ints(long streamSize)`
    `java.util.stream.IntStream` | `ints(long streamSize, int randomNumberOrigin, int randomNumberBound)`
    `java.util.stream.LongStream` | `longs()`
    `java.util.stream.LongStream` | `longs(long streamSize)`
    `java.util.stream.LongStream` | `longs(long randomNumberOrigin, long randomNumberBound)`
    `java.util.stream.LongStream` | `longs(long streamSize, long randomNumberOrigin, long randomNumberBound)`
    `boolean` | `nextBoolean()`
    `void` | `nextBytes(byte[] bytes)`
    `double` | `nextDouble()`
    `float` | `nextFloat()`
    `int` | `nextInt()`
    `int` | `nextInt(int bound)`
    `long` | `nextLong()`
    `void` | `setSeed(long seed)`

- - ### Method Detail

    - #### setSeed

          void setSeed(long seed)

    - #### getSeed

          long getSeed()

    - #### nextBytes

          void nextBytes(byte[] bytes)

    - #### nextInt

          int nextInt()

    - #### nextInt

          int nextInt(int bound)

    - #### nextLong

          long nextLong()

    - #### nextBoolean

          boolean nextBoolean()

    - #### nextFloat

          float nextFloat()

    - #### nextDouble

          double nextDouble()

    - #### ints

          java.util.stream.IntStream ints(long streamSize)

    - #### ints

          java.util.stream.IntStream ints()

    - #### ints

          java.util.stream.IntStream ints(long streamSize,
                                          int randomNumberOrigin,
                                          int randomNumberBound)

    - #### ints

          java.util.stream.IntStream ints(int randomNumberOrigin,
                                          int randomNumberBound)

    - #### longs

          java.util.stream.LongStream longs(long streamSize)

    - #### longs

          java.util.stream.LongStream longs()

    - #### longs

          java.util.stream.LongStream longs(long streamSize,
                                            long randomNumberOrigin,
                                            long randomNumberBound)

    - #### longs

          java.util.stream.LongStream longs(long randomNumberOrigin,
                                            long randomNumberBound)

    - #### doubles

          java.util.stream.DoubleStream doubles(long streamSize)

    - #### doubles

          java.util.stream.DoubleStream doubles()

    - #### doubles

          java.util.stream.DoubleStream doubles(long streamSize,
                                                double randomNumberOrigin,
                                                double randomNumberBound)

    - #### doubles

          java.util.stream.DoubleStream doubles(double randomNumberOrigin,
                                                double randomNumberBound)